/* --- Calendar Styles --- */
.calendar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
    user-select: none;
}

.calendar-header h2 {
    color: var(--text-color);
    font-size: 1.8rem;
}

.calendar-header button {
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
    color: var(--secondary-color);
    padding: 0.5rem;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    line-height: 1;
}

.calendar-header button:hover {
    background-color: var(--secondary-bg);
    color: var(--primary-color);
}

.calendar-weekdays,
.calendar-grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 8px;
    text-align: center;
}

.calendar-weekdays div {
    font-weight: 700;
    color: var(--secondary-color);
    padding-bottom: 0.5rem;
}

.calendar-grid {
    height: calc(100% - 130px);
}

.calendar-day {
    padding-top: 10px;
    border: 1px solid transparent;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.2s ease;
    position: relative;
    font-size: 0.9rem;
    user-select: none;
}

.calendar-day.other-month {
    color: var(--secondary-color);
    opacity: 0.5;
}

.calendar-day:not(.other-month):hover {
    background-color: var(--secondary-bg);
    border-color: var(--border-color);
}

.calendar-day.today .day-number {
    background-color: var(--today-color);
    color: #fff;
    border-radius: 50%;
    width: 28px;
    height: 28px;
    line-height: 28px;
    display: inline-block;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}

.calendar-day.selected {
    background-color: var(--primary-color);
    color: white;
    font-weight: bold;
    border-color: var(--primary-color);
}

.calendar-day.selected .day-number {
    background: none;
}

.event-dot-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3px;
    position: absolute;
    bottom: 8px;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
}

.event-dot {
    width: 7px;
    height: 7px;
    border-radius: 50%;
    flex-shrink: 0;
}

/* --- Controls --- */
.controls {
    display: flex;
    gap: 1rem;
    /* margin-bottom: 1.5rem; */
}

.controls button {
    flex: 1;
}

#goToTodayBtn {
    background-color: var(--success-color);
    padding: 10px 15px;
    font-size: 12px;
    width: 100px;
}


#goToTodayBtn:hover {
    background-color: #218838;
}

#openStorageModalBtn {
    background-color: var(--secondary-color);
    padding: 10px 15px;
    font-size: 12px;
    width: 100px;
}

#openStorageModalBtn:hover {
    background-color: #5a6268;
}